curl --request POST \
--url https://api.example.com/api/data-readiness/metrics/scorecard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"asset_fqn": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weight_overrides": {}
}
'import requests
url = "https://api.example.com/api/data-readiness/metrics/scorecard"
payload = {
"asset_fqn": "<string>",
"as_of": "2023-11-07T05:31:56Z",
"workflow_run_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"weight_overrides": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
asset_fqn: '<string>',
as_of: '2023-11-07T05:31:56Z',
workflow_run_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
weight_overrides: {}
})
};
fetch('https://api.example.com/api/data-readiness/metrics/scorecard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"overall_score": "0.82",
"scope": "<string>",
"entity": {
"service": "production_db",
"database_name": "analytics",
"schema_name": "public",
"table_name": "customers"
},
"dimensions": [
{
"dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fqn": "<string>",
"assessment_type": "<string>",
"weight": "<string>",
"numerator": 123,
"denominator": 123,
"score": "0.85",
"metrics": [
{
"metric_definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"fqn": "<string>",
"numerator": 123,
"denominator": 123,
"score": "0.85",
"asset_count": 123,
"display_name": "Has Description",
"unit": "percent",
"purpose": "<string>",
"description": "<string>"
}
],
"display_name": "Completeness",
"purpose": "<string>",
"description": "<string>"
}
],
"as_of": "2024-01-15T10:30:00Z",
"workflow_run_id": "550e8400-e29b-41d4-a716-446655440023"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"workflow_id": "123e4567-e89b-12d3-a456-426614174000"
}
},
"request_id": "req_abc123xyz"
}Get Aggregated Scorecard
Returns aggregated metric scores at the requested scope level.
Authorizations
JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.
Body
Request body for the scorecard endpoint.
Fully qualified name to scope the scorecard (e.g. service.database.schema.table)
Filter by assessment type
metadata, data_quality Point-in-time snapshot cutoff (ISO 8601)
Filter to a specific workflow run
Mapping of dimension UUIDs to custom weights
Show child attributes
Show child attributes
Response
Successful Response
Aggregated scores at the requested scope.
Weighted overall score across all dimensions
^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$"0.82"
Scope level of the scorecard
"service"
"database"
"schema"
"table"
Entity identifier for the scope
Show child attributes
Show child attributes
Scores for each dimension
Show child attributes
Show child attributes
Point-in-time snapshot cutoff (ISO 8601)
"2024-01-15T10:30:00Z"
Workflow run ID if filtering to a specific run
"550e8400-e29b-41d4-a716-446655440023"
Was this page helpful?

